Skip to navigation

Get All Services by Type

View as Markdown

Retrieve all organization services for a service type. Requires the service_edit authority.

Query parameters

typeIdintegerRequired
Service type identifier.
forDirectbooleanOptional

Accepted for compatibility; the current implementation does not apply this value.

forSubbooleanOptional

Accepted for compatibility; the current implementation does not apply this value.

Response

Services retrieved successfully.
idintegerOptional
Organization service identifier.
organizationIdlong or nullOptional
Organization owning the configured service.
integrationobject or nullOptional
Integration summary exposed for the service.
namestring or nullOptional<=300 characters

Organization-specific service name.

forDirectboolean or nullOptional
Whether the service is available for direct customers.
forSubboolean or nullOptional
Whether the service is available for subpartners.
carrierTypestring or nullOptional<=50 characters

Carrier-specific service classification.

offsetDaysinteger or nullOptional
Service scheduling offset in days.
attributesmap from strings to any or nullOptional

Provider-specific service attributes.

Errors

400
Bad Request Error
403
Forbidden Error
500
Internal Server Error